<?php 
require_once 'DBConnect.php';

$json = file_get_contents('php://input');
$data = json_decode($json);

$SQL = 'SELECT '.$data->{'select'}.' FROM '.$data->{'table_name'};

if (array_Key_exists('where', (array)$data)) {
	$where = $data->{'where'};
	$join = ' WHERE ';
	foreach($where as $key => $value){
		if (str_ends_with($key, ' >')){
			$SQL = $SQL.$join.$key.' '.$value;
		}elseif (str_ends_with($key, ' <')){
			$SQL = $SQL.$join.$key.' '.$value;
		}else{
			$SQL = $SQL.$join.$key.' = "'.$value.'"';
		}
		$join = ' AND ';
	}
}

if (array_Key_exists('etc', (array)$data)) {
	$SQL = $SQL." ".$data->{'etc'};
}

// DBへ接続
[$host, $user, $password, $dbName] = getConnectDbInfo();
$mysqli = new mysqli($host, $user, $password, $dbName);
if (mysqli_connect_error()){
    die("データベースの接続に失敗しました");
}

// クエリの実行
$stmt  = $mysqli->prepare($SQL);
$stmt->execute();

$resultText = '[';
$join = '';

$result = $stmt->get_result();
while ($row = $result->fetch_array(MYSQLI_ASSOC)) {
	$resultText = $resultText.$join.'{';
	$join = '';
    foreach ($row as $r => $v) {
        $resultText = $resultText.$join.'"'.$r.'":"'.$v.'"';
        $join = ', ';
    }
    $resultText = $resultText.'}';
}
$resultText = $resultText.']';

// 接続を閉じる
$mysqli->close();

echo $resultText;
?>
